UbixOS V2 2.0

Data Fields
sys_mpiPostMessage_args Struct Reference

`#include <sysproto.h>`

Collaboration diagram for sys_mpiPostMessage_args:

## Data Fields
const void * | msg
char | msg_l_ [0]
char | msg_r_ [(sizeof(register_t)<=sizeof(const void *) ? 0 :sizeof(register_t) - sizeof(const void *))]
char * | name
char | name_l_ [0]
char | name_r_ [(sizeof(register_t)<=sizeof(char *) ? 0 :sizeof(register_t) - sizeof(char *))]
uint32_t | type
char | type_l_ [0]
char | type_r_ [(sizeof(register_t)<=sizeof(uint32_t) ? 0 :sizeof(register_t) - sizeof(uint32_t))]

## Detailed Description

Definition at line 68 of file sysproto.h.

## Field Documentation

## ◆ msg

const void* sys_mpiPostMessage_args::msg

Definition at line 76 of file sysproto.h.

Referenced by sys_mpiPostMessage().

## ◆ msg_l_

char sys_mpiPostMessage_args::msg_l_[0]

Definition at line 75 of file sysproto.h.

## ◆ msg_r_

char sys_mpiPostMessage_args::msg_r_[(sizeof(register_t)<=sizeof(const void *) ? 0 :sizeof(register_t) - sizeof(const void *))]

Definition at line 77 of file sysproto.h.

## ◆ name

char* sys_mpiPostMessage_args::name

Definition at line 70 of file sysproto.h.

Referenced by sys_mpiPostMessage().

## ◆ name_l_

char sys_mpiPostMessage_args::name_l_[0]

Definition at line 69 of file sysproto.h.

## ◆ name_r_

char sys_mpiPostMessage_args::name_r_[(sizeof(register_t)<=sizeof(char *) ? 0 :sizeof(register_t) - sizeof(char *))]

Definition at line 71 of file sysproto.h.

## ◆ type

uint32_t sys_mpiPostMessage_args::type

Definition at line 73 of file sysproto.h.

Referenced by sys_mpiPostMessage().

## ◆ type_l_

char sys_mpiPostMessage_args::type_l_[0]

Definition at line 72 of file sysproto.h.

## ◆ type_r_

char sys_mpiPostMessage_args::type_r_[(sizeof(register_t)<=sizeof(uint32_t) ? 0 :sizeof(register_t) - sizeof(uint32_t))]

Definition at line 74 of file sysproto.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/sys/sysproto.h